using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;

public partial class Default3 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RadGrid1_NeedDataSource(object source,
Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        ArrayList list = new ArrayList();
        list.Add(new TestListItem("Q", 0));
        list.Add(new TestListItem("C", 0));
        list.Add(new TestListItem("F", 0));
        list.Add(new TestListItem("M", 1));
        list.Add(new TestListItem("K", 1));
        RadGrid1.DataSource = list;
    }
}
public class TestListItem
{
    private string _a;
    private int _b;
    public TestListItem(string a, int b)
    {
        this._a = a;
        this._b = b;
    }
    public string A
    {
        get
        {
            return this._a;
        }
        set
        {
            this._a = value;
        }
    }
    public int B
    {
        get
        {
            return this._b;
        }
    }

}